Subject: Re: bug#9621: 24.0.90; a characger not displayed

From: Jason Rumney <[email-masked]>
Date: Wed, 02 Nov 2011 22:06:03 +0800

"Ota, Takaaki" <[email-masked]> writes:

> Now I fully understand the situation.  Thanks for the detail
> explanation.  I am sorry for the shoddy platform I have to use.

Does the following patch help?  It basically changes the characters that
Emacs looks for in a font to classify it as capable of displaying kana;
from hiragana "ka" only; to hiragana, katakana and half-width katakana
"ka", and the prolonged sound mark that is missing from the first font
your system currently finds for displaying Japanese.

=== modified file 'lisp/international/fontset.el'
*** lisp/international/fontset.el	2011-02-01 21:37:12 +0000
--- lisp/international/fontset.el	2011-11-02 13:59:00 +0000
***************
*** 181,187 ****
  	(braille #x2800)
  	(ideographic-description #x2FF0)
  	(cjk-misc #x300E)
! 	(kana #x304B)
  	(bopomofo #x3105)
  	(kanbun #x319D)
  	(han #x5B57)
--- 181,187 ----
  	(braille #x2800)
  	(ideographic-description #x2FF0)
  	(cjk-misc #x300E)
! 	(kana #x304B #x30AB #x30FC #xff76)
  	(bopomofo #x3105)
  	(kanbun #x319D)
  	(han #x5B57)